Name:		libvmeta
Version:	2.0
Release:	1%{?dist}
Summary:	OLPC-maintained libvmeta

License:	GPLv2+
URL:		http://wiki.laptop.org/go/Vmeta
Source0:	libvmeta-%{version}.tar.gz

BuildRequires:	libphycontmem-devel

%description
libvmeta


%package devel
Summary: libvmeta-devel
Requires: %{name} = %{version}-%{release}


%description devel
libvmeta-devel


%prep
%setup -q


%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/
echo %{_libdir}/vmeta > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/libvmeta.conf


mkdir -p $RPM_BUILD_ROOT/%{_libdir}/vmeta
cp -a libvmeta.so* $RPM_BUILD_ROOT/%{_libdir}/vmeta

mkdir -p $RPM_BUILD_ROOT/%{_includedir}/vmeta
install -m 0644 vdec_os_api.h $RPM_BUILD_ROOT/%{_includedir}/vmeta


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
# Unfortunately libvmeta must be installed unversioned as libvmeta.so
# because some of Marvell's closed source libraries link against that.
%config %{_sysconfdir}/ld.so.conf.d/*
%{_libdir}/vmeta


%files devel
%{_includedir}/vmeta


%changelog
